//	Zinc Application Framework - LOC_ES.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if defined(ZAF_UNICODE)
#	define locCodeset	CP_UNICODE
#else
#	define locCodeset	CP_ISO8859_1
#endif
#define LENGTHOF(x)	(sizeof(x)/sizeof((x)[0]))

// Locale definitions for SPAIN (ES).
static ZafIChar ZAF_FARDATA defaultLocaleName[] = ZAF_ITEXT("ES");
static ZafLocaleStruct ZAF_FARDATA defaultLocale =
{
	ZAF_ITEXT(","),		// decimalSeparator
	ZAF_ITEXT(","),		// monDecimalSeparator
	ZAF_ITEXT("."),		// thousandsSeparator
	ZAF_ITEXT("."),		// monThousandsSeparator
	ZAF_ITEXT("Pts"),	// currencySymbol
	{ 3, 0 },			// grouping
	{ 3, 0 },			// monGrouping
	ZAF_ITEXT("ESP "),	// intCurrencySymbol
	0,					// posCurrencyPrecedes
	0,					// negCurrencyPrecedes
	0,					// fractionDigits
	0,					// intFractionDigits
	ZAF_ITEXT("+"),		// positiveSign
	1,					// posSignPrecedes
	1,					// posSpaceSeparation
	ZAF_ITEXT("-"),		// negativeSign
	1,					// negSignPrecedes
	1,					// negSpaceSeparation
	ZAF_ITEXT("("),
	ZAF_ITEXT(")"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%g"),
	ZAF_ITEXT("%g"),
	(ZAF_ITEXT("%H:%M:%S\n")
		ZAF_ITEXT("%H%M%S\n")
		ZAF_ITEXT("%H:%M\n")
		ZAF_ITEXT("%H%M\n")
		ZAF_ITEXT("%H%")),
	ZAF_ITEXT("%H:%M:%S"),
	ZAF_ITEXT("%H:%M:%S"),
	(ZAF_ITEXT("%d/%m/%y\n")
		ZAF_ITEXT("%d%m%y\n")
		ZAF_ITEXT("%d%h%y\n")
		ZAF_ITEXT("%d/%m/%Y\n")
		ZAF_ITEXT("%d%m%Y\n")
		ZAF_ITEXT("%d%h%Y\n")
		ZAF_ITEXT("%d%m\n")
		ZAF_ITEXT("%d%h")),
	ZAF_ITEXT("%d/%m/%Y"),
	ZAF_ITEXT("%D%T"),
	ZAF_ITEXT("%d/%m/%Y %H:%M:%S"),
	ZAF_ITEXT("0123456789"),
	ZAF_ITEXT("0123456789"),
	ZAF_ITEXT(":"),
	ZAF_ITEXT("/"),
	2299160L,			// Oct 4, 1582
	11,					// to 2299171L	Oct 15, 1582
	0,
	ZAF_NULLP(ZafEraStruct)
};

