//	Zinc Application Framework - Z_PRST2.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <zaf.hpp>

ZAF_EXPORT ZafDataPersistence::DataConstructor ZAF_FARDATA zafDefaultDataConstructor[] =
{
	{ ID_ZAF_BIGNUM_DATA, 		ZafBignumData::className, 		ZafBignumData::Read },
	{ ID_ZAF_BITMAP_DATA, 		ZafBitmapData::className, 		ZafBitmapData::Read },
	{ ID_ZAF_CODE_SET_DATA, 	ZafCodeSetData::className, 		ZafCodeSetData::Read },
	{ ID_ZAF_DATE_DATA, 		ZafDateData::className, 		ZafDateData::Read },
	{ ID_ZAF_ICON_DATA, 		ZafIconData::className, 		ZafIconData::Read },
	{ ID_ZAF_INTEGER_DATA, 		ZafIntegerData::className, 		ZafIntegerData::Read },
	{ ID_ZAF_LANGUAGE_DATA, 	ZafLanguageData::className, 	ZafLanguageData::Read },
	{ ID_ZAF_LOCALE_DATA, 		ZafLocaleData::className, 		ZafLocaleData::Read },
	{ ID_ZAF_MOUSE_DATA, 		ZafMouseData::className, 		ZafMouseData::Read },
	{ ID_ZAF_REAL_DATA, 		ZafRealData::className, 		ZafRealData::Read },
	{ ID_ZAF_SCROLL_DATA, 		ZafScrollData::className, 		ZafScrollData::Read },
	{ ID_ZAF_STRING_DATA, 		ZafStringData::className, 		ZafStringData::Read },
	{ ID_ZAF_TIME_DATA, 		ZafTimeData::className, 		ZafTimeData::Read },
	{ ID_ZAF_UTIME_DATA, 		ZafUTimeData::className, 		ZafUTimeData::Read },
	// --- End-of-array ---
	{ ID_END, 0, 0 }
};

